bm::pair< First, Second > Struct Template Reference

Pair type. More...

`#include <bmfunc.h>`

Inheritance diagram for bm::pair< First, Second >:
[legend]

## Public Member Functions

| pair (First f, Second s)

## Data Fields

First | first
Second | second

## Detailed Description

template<typename First, typename Second>
struct bm::pair< First, Second >

Pair type.

Definition at line 153 of file bmfunc.h.

## Constructor & Destructor Documentation

## pair()

template<typename First, typename Second>

bm::pair< First, Second >::pair | ( | First | f,
|  | Second | s )

inline

Definition at line 158 of file bmfunc.h.

## Field Documentation

## first

template<typename First, typename Second>

First bm::pair< First, Second >::first

Definition at line 155 of file bmfunc.h.

Referenced by bm::aggregator< BV >::cache_gap_block(), and main().

## second

template<typename First, typename Second>

Second bm::pair< First, Second >::second

Definition at line 156 of file bmfunc.h.

Referenced by bm::aggregator< BV >::cache_gap_block(), and main().

The documentation for this struct was generated from the following file:

- bmfunc.h